Source-Changes-HG archive

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]

[src/trunk]: src/tools/make Define _PATH_BSHELL to the first "sh" on the PATH...



details:   https://anonhg.NetBSD.org/src/rev/e23752dacabf
branches:  trunk
changeset: 526196:e23752dacabf
user:      bjh21 <bjh21%NetBSD.org@localhost>
date:      Sat Apr 27 16:36:30 2002 +0000

description:
Define _PATH_BSHELL to the first "sh" on the PATH when bootstrapping
nbmake.  This should remove our dependency on a nobbled /bin/sh on
Solaris.

diffstat:

 tools/make/configure    |  288 ++++++++++++++++++++++++-----------------------
 tools/make/configure.ac |    3 +-
 2 files changed, 148 insertions(+), 143 deletions(-)

diffs (truncated from 997 to 300 lines):

diff -r 2307d80775fe -r e23752dacabf tools/make/configure
--- a/tools/make/configure      Sat Apr 27 15:50:59 2002 +0000
+++ b/tools/make/configure      Sat Apr 27 16:36:30 2002 +0000
@@ -967,6 +967,10 @@
 echo "$as_me: error: sh must be somewhere on \$PATH" >&2;}
    { (exit 1); exit 1; }; }
 fi
+cat >>confdefs.h <<EOF
+#define _PATH_BSHELL "$BSHELL"
+EOF
+
 # Make wants to know what directory to find sh in.
 nb_path_defshelldir=`echo $BSHELL | sed 's,/sh$,,'`
 cat >>confdefs.h <<EOF
@@ -982,7 +986,7 @@
 if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}gcc", so it can be a program name with args.
 set dummy ${ac_tool_prefix}gcc; ac_word=$2
-echo "$as_me:985: checking for $ac_word" >&5
+echo "$as_me:989: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -997,7 +1001,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CC="${ac_tool_prefix}gcc"
-echo "$as_me:1000: found $ac_dir/$ac_word" >&5
+echo "$as_me:1004: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1005,10 +1009,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:1008: result: $CC" >&5
+  echo "$as_me:1012: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:1011: result: no" >&5
+  echo "$as_me:1015: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1017,7 +1021,7 @@
   ac_ct_CC=$CC
   # Extract the first word of "gcc", so it can be a program name with args.
 set dummy gcc; ac_word=$2
-echo "$as_me:1020: checking for $ac_word" >&5
+echo "$as_me:1024: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1032,7 +1036,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_CC="gcc"
-echo "$as_me:1035: found $ac_dir/$ac_word" >&5
+echo "$as_me:1039: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1040,10 +1044,10 @@
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  echo "$as_me:1043: result: $ac_ct_CC" >&5
+  echo "$as_me:1047: result: $ac_ct_CC" >&5
 echo "${ECHO_T}$ac_ct_CC" >&6
 else
-  echo "$as_me:1046: result: no" >&5
+  echo "$as_me:1050: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1056,7 +1060,7 @@
   if test -n "$ac_tool_prefix"; then
   # Extract the first word of "${ac_tool_prefix}cc", so it can be a program name with args.
 set dummy ${ac_tool_prefix}cc; ac_word=$2
-echo "$as_me:1059: checking for $ac_word" >&5
+echo "$as_me:1063: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1071,7 +1075,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CC="${ac_tool_prefix}cc"
-echo "$as_me:1074: found $ac_dir/$ac_word" >&5
+echo "$as_me:1078: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1079,10 +1083,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:1082: result: $CC" >&5
+  echo "$as_me:1086: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:1085: result: no" >&5
+  echo "$as_me:1089: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1091,7 +1095,7 @@
   ac_ct_CC=$CC
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
-echo "$as_me:1094: checking for $ac_word" >&5
+echo "$as_me:1098: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1106,7 +1110,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_CC="cc"
-echo "$as_me:1109: found $ac_dir/$ac_word" >&5
+echo "$as_me:1113: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1114,10 +1118,10 @@
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  echo "$as_me:1117: result: $ac_ct_CC" >&5
+  echo "$as_me:1121: result: $ac_ct_CC" >&5
 echo "${ECHO_T}$ac_ct_CC" >&6
 else
-  echo "$as_me:1120: result: no" >&5
+  echo "$as_me:1124: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1130,7 +1134,7 @@
 if test -z "$CC"; then
   # Extract the first word of "cc", so it can be a program name with args.
 set dummy cc; ac_word=$2
-echo "$as_me:1133: checking for $ac_word" >&5
+echo "$as_me:1137: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1150,7 +1154,7 @@
   continue
 fi
 ac_cv_prog_CC="cc"
-echo "$as_me:1153: found $ac_dir/$ac_word" >&5
+echo "$as_me:1157: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1172,10 +1176,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:1175: result: $CC" >&5
+  echo "$as_me:1179: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:1178: result: no" >&5
+  echo "$as_me:1182: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1186,7 +1190,7 @@
   do
     # Extract the first word of "$ac_tool_prefix$ac_prog", so it can be a program name with args.
 set dummy $ac_tool_prefix$ac_prog; ac_word=$2
-echo "$as_me:1189: checking for $ac_word" >&5
+echo "$as_me:1193: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1201,7 +1205,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_CC="$ac_tool_prefix$ac_prog"
-echo "$as_me:1204: found $ac_dir/$ac_word" >&5
+echo "$as_me:1208: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1209,10 +1213,10 @@
 fi
 CC=$ac_cv_prog_CC
 if test -n "$CC"; then
-  echo "$as_me:1212: result: $CC" >&5
+  echo "$as_me:1216: result: $CC" >&5
 echo "${ECHO_T}$CC" >&6
 else
-  echo "$as_me:1215: result: no" >&5
+  echo "$as_me:1219: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1225,7 +1229,7 @@
 do
   # Extract the first word of "$ac_prog", so it can be a program name with args.
 set dummy $ac_prog; ac_word=$2
-echo "$as_me:1228: checking for $ac_word" >&5
+echo "$as_me:1232: checking for $ac_word" >&5
 echo $ECHO_N "checking for $ac_word... $ECHO_C" >&6
 if test "${ac_cv_prog_ac_ct_CC+set}" = set; then
   echo $ECHO_N "(cached) $ECHO_C" >&6
@@ -1240,7 +1244,7 @@
   test -z "$ac_dir" && ac_dir=.
   $as_executable_p "$ac_dir/$ac_word" || continue
 ac_cv_prog_ac_ct_CC="$ac_prog"
-echo "$as_me:1243: found $ac_dir/$ac_word" >&5
+echo "$as_me:1247: found $ac_dir/$ac_word" >&5
 break
 done
 
@@ -1248,10 +1252,10 @@
 fi
 ac_ct_CC=$ac_cv_prog_ac_ct_CC
 if test -n "$ac_ct_CC"; then
-  echo "$as_me:1251: result: $ac_ct_CC" >&5
+  echo "$as_me:1255: result: $ac_ct_CC" >&5
 echo "${ECHO_T}$ac_ct_CC" >&6
 else
-  echo "$as_me:1254: result: no" >&5
+  echo "$as_me:1258: result: no" >&5
 echo "${ECHO_T}no" >&6
 fi
 
@@ -1263,32 +1267,32 @@
 
 fi
 
-test -z "$CC" && { { echo "$as_me:1266: error: no acceptable cc found in \$PATH" >&5
+test -z "$CC" && { { echo "$as_me:1270: error: no acceptable cc found in \$PATH" >&5
 echo "$as_me: error: no acceptable cc found in \$PATH" >&2;}
    { (exit 1); exit 1; }; }
 
 # Provide some information about the compiler.
-echo "$as_me:1271:" \
+echo "$as_me:1275:" \
      "checking for C compiler version" >&5
 ac_compiler=`set X $ac_compile; echo $2`
-{ (eval echo "$as_me:1274: \"$ac_compiler --version </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1278: \"$ac_compiler --version </dev/null >&5\"") >&5
   (eval $ac_compiler --version </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:1277: \$? = $ac_status" >&5
+  echo "$as_me:1281: \$? = $ac_status" >&5
   (exit $ac_status); }
-{ (eval echo "$as_me:1279: \"$ac_compiler -v </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1283: \"$ac_compiler -v </dev/null >&5\"") >&5
   (eval $ac_compiler -v </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:1282: \$? = $ac_status" >&5
+  echo "$as_me:1286: \$? = $ac_status" >&5
   (exit $ac_status); }
-{ (eval echo "$as_me:1284: \"$ac_compiler -V </dev/null >&5\"") >&5
+{ (eval echo "$as_me:1288: \"$ac_compiler -V </dev/null >&5\"") >&5
   (eval $ac_compiler -V </dev/null >&5) 2>&5
   ac_status=$?
-  echo "$as_me:1287: \$? = $ac_status" >&5
+  echo "$as_me:1291: \$? = $ac_status" >&5
   (exit $ac_status); }
 
 cat >conftest.$ac_ext <<_ACEOF
-#line 1291 "configure"
+#line 1295 "configure"
 #include "confdefs.h"
 
 int
@@ -1304,13 +1308,13 @@
 # Try to create an executable without -o first, disregard a.out.
 # It will help us diagnose broken compilers, and finding out an intuition
 # of exeext.
-echo "$as_me:1307: checking for C compiler default output" >&5
+echo "$as_me:1311: checking for C compiler default output" >&5
 echo $ECHO_N "checking for C compiler default output... $ECHO_C" >&6
 ac_link_default=`echo "$ac_link" | sed 's/ -o *conftest[^ ]*//'`
-if { (eval echo "$as_me:1310: \"$ac_link_default\"") >&5
+if { (eval echo "$as_me:1314: \"$ac_link_default\"") >&5
   (eval $ac_link_default) 2>&5
   ac_status=$?
-  echo "$as_me:1313: \$? = $ac_status" >&5
+  echo "$as_me:1317: \$? = $ac_status" >&5
   (exit $ac_status); }; then
   # Find the output, starting from the most likely.  This scheme is
 # not robust to junk in `.', hence go to wildcards (a.*) only as a last
@@ -1333,34 +1337,34 @@
 else
   echo "$as_me: failed program was:" >&5
 cat conftest.$ac_ext >&5
-{ { echo "$as_me:1336: error: C compiler cannot create executables" >&5
+{ { echo "$as_me:1340: error: C compiler cannot create executables" >&5
 echo "$as_me: error: C compiler cannot create executables" >&2;}
    { (exit 77); exit 77; }; }
 fi
 



Home | Main Index | Thread Index | Old Index